Bug 894119 - Review Request: vert.x - Framework for JavaScript, CoffeeScript, Ruby, Python, Groovy and Java
Summary: Review Request: vert.x - Framework for JavaScript, CoffeeScript, Ruby, Python...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-10 18:41 UTC by Matias Kreder
Modified: 2015-07-21 13:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 13:50:00 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1110070 None None None Never

Internal Links: 1110070

Description Matias Kreder 2013-01-10 18:41:12 UTC
Spec URL: http://delete.fedorapeople.org/vert.x/vert.x.spec
SRPM URL: http://delete.fedorapeople.org/vert.x/vert.x-1.3.0.final-1.fc19.src.rpm
Description: 
Vert.x is an event driven application framework that runs 
on the JVM - a run-time with real concurrency and 
unrivalled performance. Vert.x then exposes the API in 
Ruby, Java, Groovy, JavaScript and Python.
You can check examples at http://vertx.io/examples.html
or take a look at the vertx documentation at
http://vertx.io/docs.html

Fedora Account System Username: delete

This is my first package, I need a sponsor. 

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4855700

Comment 1 Vít Ondruch 2013-01-17 14:00:17 UTC
Just a few notes from me (not that I am taking the review)

* Descriptive summary
  - Could you please provide better summary? Framework for some dynamic language
    list is not too helpful to know what is the package/framework good for.

* No inclusion of pre-built binaries or libraries
  - It seems that you are shipping pre-build .jars. According to this guideline,
    you have to remove the original .jars and rebuild them from sources. Please
    note that I am not Java packaging expert, so I'll cannot help you with this
    further.

* Split package into subpackages
  - It seems that there are shipped bindings for various other languages.
    I would suggest to split these into language specific subpackages. User
    could later choose just the subpackage (s)he needs and save some space.



[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

Comment 2 gil cattaneo 2013-08-30 01:10:43 UTC
hi
for hazelcast https://bugzilla.redhat.com/show_bug.cgi?id=972323

Comment 3 gil cattaneo 2013-08-30 01:16:11 UTC
source code is available here ...
https://github.com/eclipse/vert.x/
but seem use gradle for build ... 
but currently in f2x is broken
https://bugzilla.redhat.com/show_bug.cgi?id=992428
regards

Comment 4 Lin Gao 2014-06-17 02:14:39 UTC
It seems a long time this package review process does not go on, I fired a new bug: 1110070 for Vert.x version 2.1.

Comment 5 Miroslav Suchý 2015-07-21 13:50:00 UTC
Closing if favour of bug 1110070.
Feel free to reopen if you still want to have v1 packaged.


Note You need to log in before you can comment on or make changes to this bug.